Bug 863915 - [US2599][fork] Typos in rhc app tidy --help
[US2599][fork] Typos in rhc app tidy --help
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: John (J5) Palmieri
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-07 23:51 EDT by Wei Sun
Modified: 2015-05-14 22:06 EDT (History)
2 users (show)

See Also:
Fixed In Version: fork_ami_US2597_US2599_US2813_US2817_US2872_US2816_US2814_213
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:47:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wei Sun 2012-10-07 23:51:05 EDT
Description of problem:

 Run "rhc app tidy --help",there are typos for '-a' option in the displayed help information:
   -a, --app app             he name of the application you are stopping
                                ^^^^^^^^                        ^^^^^^^^
                                It should be The
 
Version-Release number of selected component (if applicable):

server:devenv_2295
client: built from fork_ami_US2597_US2599_US2813_US2817_US2872_US2816_US2814_209

How reproducible:

always

Steps to Reproduce:

1.run 'rhc app tidy --help'


Actual results:

[sunwei@dhcp-8-229 ~]$ rhc app tidy --help
Usage: rhc app tidy <app> [--namespace namespace] [--app app]

Clean out the application's logs and tmp directories and tidy up the git repo on the server

Options for app tidy
  -n, --namespace namespace Namespace of the application the cartridge belongs to
  -a, --app app             he name of the application you are stopping
                            ^^^^^^^^                           ^^^^^^^^
Global Options
  -l, --rhlogin login       OpenShift login
  -p, --password password   OpenShift password
  -d, --debug               Turn on debugging
  --noprompt                Do not ask for input
  --config FILE             Path of a different config file
  -h, --help                Display help documentation
  -v, --version             Display version information
  --timeout seconds         Set the timeout in seconds for network commands


Expected results:

-a, --app app             The name of the application you are tidying
Comment 1 John (J5) Palmieri 2012-10-09 10:23:33 EDT
committed
Comment 2 Wei Sun 2012-10-09 22:36:28 EDT
verified on devenv_2304,client build from fork_ami_US2597_US2599_US2813_US2817_US2872_US2816_US2814_213

Step:
1.run 'rhc app tidy --help'

[sunwei@dhcp-8-229 ~]$ rhc app tidy --help
Usage: rhc app tidy <app> [--namespace namespace] [--app app]

Clean out the application's logs and tmp directories and tidy up the git repo on the server

Options for app tidy
  -n, --namespace namespace Namespace of the application the cartridge belongs to
  -a, --app app             The name of the application you are tidying

Global Options
  -l, --rhlogin login       OpenShift login
  -p, --password password   OpenShift password
  -d, --debug               Turn on debugging
  --noprompt                Suppress the interactive setup wizard from running before a command
  --config FILE             Path of a different config file
  -h, --help                Display help documentation
  -v, --version             Display version information
  --timeout seconds         Set the timeout in seconds for network commands

Note You need to log in before you can comment on or make changes to this bug.